/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 21, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.ae.AEPackObject;

//import dstep.AvailabilityMacros;
import dstep.coreservices.ae.AEDataModel;
import dstep.coreservices.ae.AppleEvents;

extern (C)
{
	short CreateOffsetDescriptor (int theOffset, AEDesc* theDescriptor);
	short CreateCompDescriptor (uint comparisonOperator, AEDesc* operand1, AEDesc* operand2, ubyte disposeInputs, AEDesc* theDescriptor);
	short CreateLogicalDescriptor (AEDescList* theLogicalTerms, uint theLogicOperator, ubyte disposeInputs, AEDesc* theDescriptor);
	short CreateObjSpecifier (uint desiredClass, AEDesc* theContainer, uint keyForm, AEDesc* keyData, ubyte disposeInputs, AEDesc* objSpecifier);
	short CreateRangeDescriptor (AEDesc* rangeStart, AEDesc* rangeStop, ubyte disposeInputs, AEDesc* theDescriptor);
}