/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CIRAWFilter_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id kCIInputDecoderVersionKey;
		package const id kCISupportedDecoderVersionsKey;
		package const id kCIInputBoostKey;
		package const id kCIInputNeutralChromaticityXKey;
		package const id kCIInputNeutralChromaticityYKey;
		package const id kCIInputNeutralTemperatureKey;
		package const id kCIInputNeutralTintKey;
		package const id kCIInputNeutralLocationKey;
		package const id kCIInputScaleFactorKey;
		package const id kCIInputAllowDraftModeKey;
		package const id kCIInputIgnoreImageOrientationKey;
		package const id kCIInputImageOrientationKey;
		package const id kCIInputEnableSharpeningKey;
		package const id kCIInputEnableChromaticNoiseTrackingKey;
		package const id kCIInputBoostShadowAmountKey;
		package const id kCIInputBiasKey;
	}
}

