/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSPasteboard_bindings;

import dstep.appkit.AppKitDefines;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSStringPboardType;
		package id NSFilenamesPboardType;
		package id NSPostScriptPboardType;
		package id NSTIFFPboardType;
		package id NSRTFPboardType;
		package id NSTabularTextPboardType;
		package id NSFontPboardType;
		package id NSRulerPboardType;
		package id NSFileContentsPboardType;
		package id NSColorPboardType;
		package id NSRTFDPboardType;
		package id NSHTMLPboardType;
		package id NSPICTPboardType;
		package id NSURLPboardType;
		package id NSPDFPboardType;
		package id NSVCardPboardType;
		package id NSFilesPromisePboardType;
		package id NSInkTextPboardType;
		package id NSMultipleTextSelectionPboardType;
		package id NSGeneralPboard;
		package id NSFontPboard;
		package id NSRulerPboard;
		package id NSFindPboard;
		package id NSDragPboard;
	}
}

extern (C)
{
	package id NSCreateFilenamePboardType (id fileType);
	package id NSCreateFileContentsPboardType (id fileType);
	package id NSGetFileType (id pboardType);
	package id NSGetFileTypes (id pboardTypes);
}