/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.cssmaci;

import dstep.security.cssmtype;

struct CSSM_SPI_AC_FUNCS
{
	extern (C) int function (CSSM_AC_HANDLE ACHandle,
							 CSSM_TUPLEGROUP* BaseAuthorizations,
							 CSSM_TUPLEGROUP* Credentials,
							 uint NumberOfRequestors,
							 CSSM_LIST* Requestors,
							 CSSM_LIST* RequestedAuthorizationPeriod,
							 CSSM_LIST* RequestedAuthorization,
							 CSSM_TUPLEGROUP* AuthorizationResult) AuthCompute;
	
	extern (C) int function (CSSM_AC_HANDLE ACHandle,
							 int TPHandle,
							 ulong CCHandle,
							 CSSM_DL_DB_LIST* DBList,
							 uint PassThroughId,
							 void* InputParams,
							 void** OutputParams) PassThrough;
}

alias CSSM_SPI_AC_FUNCS* CSSM_SPI_AC_FUNCS_PTR;